Bug 152151 - up2date-nox does attempt GUI
up2date-nox does attempt GUI
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: up2date (Show other bugs)
rhl7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-25 07:01 EST by Nigel Horne
Modified: 2007-04-18 13:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 19:59:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2005-03-25 07:01:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.3) Gecko/20041207

Description of problem:
According to the manual for up2date-nox:

"-nox  do not even attempt to display the gui."

This is not true:

[root@sharon njh]# up2date-nox
X11 connection rejected because of wrong authentication.
The application 'up2date-nox' lost its connection to the display localhost:10.0;
most likely the X server was shut down or you killed/destroyed
the application.
[root@sharon njh]#  

Version-Release number of selected component (if applicable):
up2date-2.8.40-3.7.3

How reproducible:
Always

Steps to Reproduce:
1. ssh to a machine
2. su
3. up2date-nox
  

Actual Results:  
[root@sharon njh]# up2date-nox
X11 connection rejected because of wrong authentication.
The application 'up2date-nox' lost its connection to the display localhost:10.0;
most likely the X server was shut down or you killed/destroyed
the application.
[root@sharon njh]#  

Expected Results:  up2date should run

Additional info:
Comment 1 John Dalbec 2005-03-30 08:27:02 EST
Workaround (bash):
DISPLAY= up2date-nox
Comment 2 Nigel Horne 2005-03-31 09:31:43 EST
That tells me to run rhn_register (which is fair enough), but, there is no 
rhn_register-nox! 
 
[root@sharon njh]# DISPLAY= up2date-nox 
 
Error Message: 
    Please run rhn_register (or up2date --register on Red Hat Enterprise Linux 
3 or later) 
as root on this client 
Error Class Code: 9 
Error Class Info: Invalid System Credentials. 
Explanation: 
     An error has occurred while processing your request. If this problem 
     persists please enter a bug report at bugzilla.redhat.com. 
     If you choose to submit the bug report, please be sure to include 
     details of what you were trying to do when this error occurred and 
     details on how to reproduce this problem. 
[root@sharon njh]# rhn_register 
X11 connection rejected because of wrong authentication. 
The application 'rhn_register' lost its connection to the display 
localhost:10.0; 
most likely the X server was shut down or you killed/destroyed 
the application. 
[root@sharon njh]# rhn_register-nox 
bash: rhn_register-nox: command not found 
[root@sharon njh]#    
Comment 3 John Dalbec 2005-03-31 10:21:02 EST
Try (in bash):
# DISPLAY= rhn_register --nox
Comment 4 Marc Deslauriers 2005-04-20 19:59:24 EDT
I am closing this bug as it is not a security issue, and up2date on rh7.3 is
pretty much useless now anyway.

Note You need to log in before you can comment on or make changes to this bug.